/////////////////////////////////////////////////////////////////////////////
//  Projekt: STest - testovn slovek a tvorba test                     //
//  Verze: 2                                                               //
//  Autor: David Martinek                                                  //
//  Adresa: Majakovskho 2148/60, Karvin 7, 734 01                        //
//                                                                         //
//  Funkce modulu: Projektov soubor                                       //
//  Datum: 8.9.1999                                                       //
/////////////////////////////////////////////////////////////////////////////
program STest;

uses
  Forms,
  WordList in 'WordList.pas',
  EditFrm in 'EditFrm.pas' {EditForm},
  MainFrm in 'MainFrm.pas' {MainForm},
  ErrFrm in 'ErrFrm.pas' {ErrorForm},
  AboutFrm in 'AboutFrm.pas' {AboutBox},
  ZaznFrm in 'ZaznFrm.pas' {ZaznForm};

{$R *.RES}

begin
  LogOptions.OptSet := [loFileName, loMark, loErrorCount, loMode];
  LogOptions.FileName := 'Protokol.txt';
  LogOptions.NormalMode := amOrigin;
  LogOptions.MaxLen := 0;
  ReadLogOptions; // naten z registru

  ActualMode := LogOptions.NormalMode; // ActualMode je globln promnn modulu WordList

  Application.Initialize;
  Application.Title := 'STest';
  Application.HelpFile := 'Stest.hlp';
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;

  LogOptions.NormalMode := ActualMode;
  WriteLogOptions; // zpis do registru
end.
