/////////////////////////////////////////////////////////////////////////////
//  Projekt: STest - testovn slovek a tvorba test                     //
//  Verze: 2                                                               //
//  Autor: David Martinek                                                  //
//  Adresa: Majakovskho 2148/60, Karvin 7, 734 01                        //
//                                                                         //
//  Funkce modulu: Dialog pro hlen o chybnm pokusu a zobrazen         //
//    sprvnch monost                                                   //
//  Datum: 8.9.1999                                                       //
/////////////////////////////////////////////////////////////////////////////
unit ErrFrm;

interface

uses
  SysUtils, Classes,StdCtrls, ExtCtrls, Forms, Controls,
  EditFrm;

type
  TErrorForm = class(TForm)
    OKBtn: TButton;
    L: TLabel;
    ListBox: TListBox;
    procedure FormShow(Sender: TObject);
  end;

// zobraz formul
procedure ShowErrorForm(List : String);

var
  ErrorForm: TErrorForm;

implementation

{$R *.DFM}
var
  SList : string;

//////////////////////////////////////////////////////////////////////////////
// zobraz formul
procedure ShowErrorForm(List : String);
begin
  Slist := List;
  ErrorForm := TErrorForm.Create(Application);
  try
    ErrorForm.ShowModal;
  finally
    ErrorForm.Release;
  end;
end;

//////////////////////////////////////////////////////////////////////////////
procedure TErrorForm.FormShow(Sender: TObject);
begin
  StringToListBox(SList, ListBox);
end;

end.
